Generation Framework

## org.eclipse.gmf.mappings
Interface ReferenceNewElementSpec

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FeatureInitializer, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ReferenceNewElementSpecImpl

    public interface ReferenceNewElementSpec

extends FeatureInitializer

A representation of the model object 'Reference New Element Spec'.

The following features are supported:

- `New Element Initializers`

See Also:
  `GMFMapPackage.getReferenceNewElementSpec()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature.many = false implies not (newElementInitializers->size() > 1)' description='FeatureInitializer for single element EReference can\'t contain multiple element initializers'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='let r: ecore::EReference = feature.oclAsType(ecore::EReference) in feature <> null implies r.containment' description='\'feature\' of \'ReferenceNewElementSpec\' must refer to containment ecore::EReference'"

Method Summary
`org.eclipse.emf.common.util.EList<FeatureSeqInitializer>` `getNewElementInitializers()` Returns the value of the 'New Element Initializers' containment reference list.

Methods inherited from interface org.eclipse.gmf.mappings.FeatureInitializer
`getFeature, getFeatureSeqInitializer, setFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNewElementInitializers

    org.eclipse.emf.common.util.EList<FeatureSeqInitializer> getNewElementInitializers()

  Returns the value of the 'New Element Initializers' containment reference list. The list contents are of type `FeatureSeqInitializer`. It is bidirectional and its opposite is '`Creating Initializer`'.

  If the meaning of the 'New Element Initializers' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'New Element Initializers' containment reference list.
  See Also:
    `GMFMapPackage.getReferenceNewElementSpec_NewElementInitializers()`, `FeatureSeqInitializer.getCreatingInitializer()`
  ** Generated **
  Model:
    opposite="creatingInitializer" containment="true" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.